package com.ssj.service.kmt.kmt.service.impl;

import com.alibaba.dubbo.config.annotation.Service;
import com.ssj.bean.kmt.kmt.domain.KmtExampaper;
import com.ssj.framework.core.common.service.BaseServiceImpl;
import com.ssj.dao.kmt.kmt.dao.KmtExampaperDao;
import com.ssj.service.kmt.service.KmtExampaperService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.repository.PagingAndSortingRepository;

import org.springframework.transaction.annotation.Transactional;
import java.util.List;


@Transactional
@Service(version ="1.0")
public class KmtExampaperServiceImpl extends BaseServiceImpl<KmtExampaper, String> implements KmtExampaperService {

	@Autowired
	private KmtExampaperDao dao;

	@Override
	public PagingAndSortingRepository<KmtExampaper, String> getDao() {
		return dao;
	}

	@Override
	public List<KmtExampaper> findByQuIdList(String quId) {
		return dao.findByQuIdList(quId);
	}

	@Override
	public void deleteByQuestionId(String quId) {
		 dao.deleteByQuestionId(quId);
	}
	
	
}
